Package: org.codehaus.groovy.control

## [Java] Interface CompilationUnit.ProgressCallback

-     @FunctionalInterface
      public interface CompilationUnit.ProgressCallback

  A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(ProcessingUnit context, int phase)`

- - ### Method Detail

    - #### public void call(ProcessingUnit context, int phase)